#pragma once

#include <sstream>

#include <Eigen/Core>

namespace armarx::aron
{

    class StringStreamMixin
    {
    public:
        StringStreamMixin();

    protected:
        void setStreamPrecision();
        void setStreamPrecision(std::ostream& os);

    public:
        std::stringstream value;

    protected:
        const std::string coeffSep;
        const Eigen::IOFormat eigenIof;
    };

} // namespace armarx::aron
